Index: /LMDZ6/branches/Amaury_dev/libf/phylmdiso/isotopes_routines_mod.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmdiso/isotopes_routines_mod.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmdiso/isotopes_routines_mod.F90	(revision 5116)
@@ -7395,8 +7322,8 @@
 
 !#ifdef ISOVERIF    
-!        write(*,*) 'appel_stewart tmp 1134 après make_cas_evap_glace'
-!        write(*,*) 'izone,xtp_avantevap_cas(1)=',izone,
+!        WRITE(*,*) 'appel_stewart tmp 1134 après make_cas_evap_glace'
+!        WRITE(*,*) 'izone,xtp_avantevap_cas(1)=',izone,
 !     :            xtp_avantevap_cas(1:niso,1)
-!        write(*,*) 'izone,xtp_avantevaptrac_cas(1)=',izone,
+!        WRITE(*,*) 'izone,xtp_avantevaptrac_cas(1)=',izone,
 !     &           xtp_avantevaptrac_cas(1:niso,1)
 !#endif          
@@ -7413,26 +7340,26 @@
 
 #ifdef ISOVERIF    
-!        write(*,*) 'appel_stewart tmp 1117: ',
+!        WRITE(*,*) 'appel_stewart tmp 1117: ',
 !     :           'fin du cas evap_glace'   
         do il=1,ncas_evap_glace
-!           write(*,*) 'appel_stewart tmp 1146: il=',il            
-!           write(*,*) 'xtp_avantevap=',xtp_avantevap
+!           WRITE(*,*) 'appel_stewart tmp 1146: il=',il
+!           WRITE(*,*) 'xtp_avantevap=',xtp_avantevap
 !     :           (1:ntraciso,cas_evap_glace(il))
-!           write(*,*) 'xtp=',xtp(1:ntraciso,cas_evap_glace(il),i)
+!           WRITE(*,*) 'xtp=',xtp(1:ntraciso,cas_evap_glace(il),i)
            if (iso_verif_traceur_nostop(xtp(1,cas_evap_glace(il),i), &
-                'appel_stewart_vectall 1314').eq.1) then
-             write(*,*) 'il,cas_evap_glace(il)=',il,cas_evap_glace(il)
-             write(*,*) 'trace_cas(cas_evap_glace(il))=', &
+                'appel_stewart_vectall 1314').eq.1) THEN
+             WRITE(*,*) 'il,cas_evap_glace(il)=',il,cas_evap_glace(il)
+             WRITE(*,*) 'trace_cas(cas_evap_glace(il))=', &
                 trace_cas(cas_evap_glace(il))
-             write(*,*) 'cas evap_glace'
-             write(*,*) 'xtp(:,cas_evap_glace(il),i)=', &
+             WRITE(*,*) 'cas evap_glace'
+             WRITE(*,*) 'xtp(:,cas_evap_glace(il),i)=', &
                    xtp(:,cas_evap_glace(il),i)
-             write(*,*) 'fac_ftmr_cas(il)=',fac_ftmr_cas(il)
-             write(*,*) 'Eqi_stewart(il)=',Eqi_stewart(il)
-             write(*,*) 'Pxtisup(:,cas_evap_glace(il))=', &
+             WRITE(*,*) 'fac_ftmr_cas(il)=',fac_ftmr_cas(il)
+             WRITE(*,*) 'Eqi_stewart(il)=',Eqi_stewart(il)
+             WRITE(*,*) 'Pxtisup(:,cas_evap_glace(il))=', &
                         Pxtisup(:,cas_evap_glace(il))
-             write(*,*) 'xtp_avantevap(:,cas_evap_glace(il))=', &
+             WRITE(*,*) 'xtp_avantevap(:,cas_evap_glace(il))=', &
                        xtp_avantevap(:,cas_evap_glace(il))
-             write(*,*) 'Exi(:,cas_evap_glace(il))=', &
+             WRITE(*,*) 'Exi(:,cas_evap_glace(il))=', &
                        Exi(:,cas_evap_glace(il))
              ! on laisse quand même une chance
@@ -7449,7 +7376,5 @@
 #endif
 
-        endif !if (ncas_evap_glace.gt.0) then
-
-
+        endif !if (ncas_evap_glace.gt.0) THEN
        ! ****** dernières vérifs et bidouilles
 
@@ -7457,6 +7382,6 @@
 #ifdef ISOVERIF
         do il=1,ncum 
-           if (i.le.inb(il) .and. lwork(il)) then
-!             write(*,*) 'appel_stewart 1380 temp: il,trace_cas(il)=',
+           if (i.le.inb(il) .and. lwork(il)) THEN
+!             WRITE(*,*) 'appel_stewart 1380 temp: il,trace_cas(il)=',
 !     &          il,trace_cas(il)  
              do ixt=1,ntraciso
@@ -7468,15 +7393,15 @@
                         'appel_stewart 1661')
              enddo !do ixt=1,ntraciso
-             if (iso_eau.gt.0) then
+             if (iso_eau.gt.0) THEN
               if (iso_verif_egalite_choix_nostop(xtwater(iso_eau,il,i), &
               water(il,i),'appel stewart 1277, fin, water', &
-              errmax,errmaxrel).eq.1) then
-               write(*,*) 'il,i,trace_cas=',il,i,trace_cas(il)
+              errmax,errmaxrel).eq.1) THEN
+               WRITE(*,*) 'il,i,trace_cas=',il,i,trace_cas(il)
                stop 
               endif  !if (iso_verif_egalite_choix_nostop(  
               if (iso_verif_egalite_choix_nostop( &
               xtp(iso_eau,il,i),qp(il,i),'appel stewart 1278', &
-              errmax,errmaxrel*50).eq.1) then
-               write(*,*) 'il,i,trace_cas=',il,i,trace_cas(il)
+              errmax,errmaxrel*50).eq.1) THEN
+               WRITE(*,*) 'il,i,trace_cas=',il,i,trace_cas(il)
                stop 
               endif  !if (iso_verif_egalite_choix_nostop(
@@ -7484,19 +7409,19 @@
               xtevap(iso_eau,il,i),evap(il,i), &
               'appel stewart 1279', &
-              errmax,errmaxrel).eq.1) then
-               write(*,*) 'il,i,trace_cas=',il,i,trace_cas(il)
+              errmax,errmaxrel).eq.1) THEN
+               WRITE(*,*) 'il,i,trace_cas=',il,i,trace_cas(il)
                stop 
               endif  !if (iso_verif_egalite_choix_nostop(
-             endif !if (iso_eau.gt.0) then
+             endif !if (iso_eau.gt.0) THEN
              if ((iso_HDO.gt.0).and. &
-                (qp(il,i).gt.ridicule)) then
+                (qp(il,i).gt.ridicule)) THEN
                 CALL iso_verif_aberrant( &
                 xtp(iso_HDO,il,i)/qp(il,i), &
                 'appel_stewart 1498')
-             endif  ! if (iso_HDO.gt.0) then
+             endif  ! if (iso_HDO.gt.0) THEN
 #ifdef ISOTRAC
-!           if (il.eq.602) then
-!              write(*,*) 'appel_stewart 1334: il,i=',il,i
-!              write(*,*) 'xtp(iso_eau:ntraciso:3,il,i)=',
+!           if (il.eq.602) THEN
+!              WRITE(*,*) 'appel_stewart 1334: il,i=',il,i
+!              WRITE(*,*) 'xtp(iso_eau:ntraciso:3,il,i)=',
 !     :          xtp(iso_eau:ntraciso:3,il,i) 
 !           endif
@@ -7508,21 +7433,21 @@
                 'appel_stewart_vectall 1636')
 !           if ((option_traceurs.eq.17).or.
-!     &          (option_traceurs.eq.18)) then
+!     &          (option_traceurs.eq.18)) THEN
 !            if (iso_verif_positif_nostop(xtwater(
 !     &          index_trac(izone_cond,iso_eau),il,i)
 !     &          -xtwater(iso_eau,il,i),
-!     &          'appel_stewart_vectall 1457').eq.1) then
-!             write(*,*) 'il,trace_cas=',il,trace_cas(il)
+!     &          'appel_stewart_vectall 1457').eq.1) THEN
+!             WRITE(*,*) 'il,trace_cas=',il,trace_cas(il)
 !             stop
 !            endif !if (iso_verif_positif_nostop(xtwater(iso_eau,il,i)-
 !           endif !if ((option_traceurs.eq.17).or.
 #endif  
-           endif !if (i.le.inb(il) .and. lwork(il)) then 
+           endif !if (i.le.inb(il) .and. lwork(il)) THEN
         enddo !do il=1,ncum 
 #endif
 
-       if ((bidouille_anti_divergence).and.(iso_eau.gt.0)) then 
+       if ((bidouille_anti_divergence).and.(iso_eau.gt.0)) THEN
          do il=1,ncum 
-           if (i.le.inb(il) .and. lwork(il)) then 
+           if (i.le.inb(il) .and. lwork(il)) THEN
              xtwater(iso_eau,il,i)= water(il,i)
              xtp(iso_eau,il,i)=qp(il,i) 
@@ -7540,10 +7465,9 @@
 #endif            
 #endif             
-           endif !if (i.le.inb(il) .and. lwork(il)) then     
+           endif !if (i.le.inb(il) .and. lwork(il)) THEN
           enddo !do il=1,ncum  
-        endif !if (bidouille_anti_divergence) then
-
+        endif !if (bidouille_anti_divergence) THEN
 !#ifdef ISOVERIF
-!        write(*,*) 'appel_stewart tmp 1197: sortie'
+!        WRITE(*,*) 'appel_stewart tmp 1197: sortie'
 !#endif
 
@@ -7604,8 +7528,8 @@
 !#endif
 
-!        write(*,*) 'ncas=',ncas
+!        WRITE(*,*) 'ncas=',ncas
        do il=1,ncas
 #ifdef ISOVERIF
-         if (iso_eau.gt.0) then
+         if (iso_eau.gt.0) THEN
              CALL iso_verif_egalite_choix( &
                 (xtp_avantevap_cas(iso_eau,il)), &
@@ -7616,12 +7540,12 @@
                 'appel_stewart 1357a')
          if (iso_verif_noNaN_nostop((fac_ftmr_cas(il)), &
-                'appel_stewart 1357b').eq.1) then
-            write(*,*) 'il=',il
+                'appel_stewart 1357b').eq.1) THEN
+            WRITE(*,*) 'il=',il
          endif
-!         if (il.eq.1) then
-!         write(*,*) 'Eqi_prime_cas=',Eqi_prime_cas(il)
-!         write(*,*) 'fac_ftmr_cas=',fac_ftmr_cas(il)
-!         write(*,*) 'Pqisup_cas=',Pqisup_cas(il)
-!         write(*,*) 'qp_avantevap_cas=',qp_avantevap_cas(il)
+!         if (il.eq.1) THEN
+!         WRITE(*,*) 'Eqi_prime_cas=',Eqi_prime_cas(il)
+!         WRITE(*,*) 'fac_ftmr_cas=',fac_ftmr_cas(il)
+!         WRITE(*,*) 'Pqisup_cas=',Pqisup_cas(il)
+!         WRITE(*,*) 'qp_avantevap_cas=',qp_avantevap_cas(il)
 !         endif
 #endif   
@@ -7629,9 +7553,9 @@
         if ((Eqi_prime_cas(il).gt.-ridicule*1e-2).and.    & 
            (Eqi_prime_cas(il)*fac_ftmr_cas(il).gt.-ridicule*10).and. &
-           (Pqisup_cas(il).le.0.0)) then
+           (Pqisup_cas(il).le.0.0)) THEN
           fcond(il)=1.0
           cond(il)=0.0
 !#ifdef ISOVERIF          
-!         write(*,*) 'tmp 1399: il,cond,Eqi,fac_ftmr_cas=', &
+!         WRITE(*,*) 'tmp 1399: il,cond,Eqi,fac_ftmr_cas=', &
 !     &         il,cond(il),Eqi_prime_cas(il),fac_ftmr_cas(il)
 !#endif          
@@ -7640,11 +7564,11 @@
          cond(il)=-Eqi_prime_cas(il)*fac_ftmr_cas(il)
 #ifdef ISOVERIF             
-!         write(*,*) 'tmp 1404: il,cond,Eqi,fac_ftmr_cas=',
+!         WRITE(*,*) 'tmp 1404: il,cond,Eqi,fac_ftmr_cas=',
 !     :          il,cond(il),Eqi_prime_cas(il),fac_ftmr_cas(il)
-!         write(*,*) 'Pqisup_cas,qp_cas=',Pqisup_cas(il),qp_cas(il)
+!         WRITE(*,*) 'Pqisup_cas,qp_cas=',Pqisup_cas(il),qp_cas(il)
 #endif         
         endif
 
-         if (T_cas(il).ge.ztglace_kelvin) then
+         if (T_cas(il).ge.ztglace_kelvin) THEN
                fice(il)=0.0
          else
@@ -7652,5 +7576,5 @@
          endif 
 
-         if (cond(il).gt.qp_avantevap_cas(il)) then
+         if (cond(il).gt.qp_avantevap_cas(il)) THEN
              ! dans ce cas, qp doit être nul. on vérifie et si oui, on
              ! met cond=qp_avantevap_cas
@@ -7665,6 +7589,6 @@
                  xtp0(ixt,il)=xtp_avantevap_cas(ixt,il)
               enddo !do ixt=1,niso  
-         else ! if (cond(il).gt.qp_avantevap_cas(il)) then    
-           if (cond(il).lt.1e-11) then
+         else ! if (cond(il).gt.qp_avantevap_cas(il)) THEN
+           if (cond(il).lt.1e-11) THEN
               ! pour des raisons numériques, ça ne marchera pas
               cond(il)=cond(il)*1e4
@@ -7673,14 +7597,14 @@
                  xtp0(ixt,il)=xtp_avantevap_cas(ixt,il)*1e4
               enddo !do ixt=1,niso  
-           else !if (cond(il).lt.1e-11) then
+           else !if (cond(il).lt.1e-11) THEN
               qp0(il)=qp_avantevap_cas(il)  
               do ixt=1,niso
                xtp0(ixt,il)=xtp_avantevap_cas(ixt,il)
               enddo                             
-           endif !if (cond(il).lt.1e-11) then
-         endif ! if (cond(il).gt.qp0(il)) then
-#ifdef ISOVERIF
-!        write(*,*) 'appel_stewart 1378 tmp: il=',il
-!         write(*,*) 'cond(il),qp0(il)=',cond(il),qp0(il)
+           endif !if (cond(il).lt.1e-11) THEN
+         endif ! if (cond(il).gt.qp0(il)) THEN
+#ifdef ISOVERIF
+!        WRITE(*,*) 'appel_stewart 1378 tmp: il=',il
+!         WRITE(*,*) 'cond(il),qp0(il)=',cond(il),qp0(il)
          CALL iso_verif_noNaN(qp0(il),'appel_stewart 1384a')
          CALL iso_verif_noNaN(cond(il),'appel_stewart 1384b')
@@ -7691,14 +7615,14 @@
 #ifdef ISOVERIF     
          if (iso_verif_positif_nostop(qp0(il)-cond(il), &
-                'appel_stewart 1664').eq.1) then
-           write(*,*) 'il,qp0,cond=',il,qp0(il),cond(il)
-           write(*,*) 'qp_avantevap_cas,qp_cas=', &
+                'appel_stewart 1664').eq.1) THEN
+           WRITE(*,*) 'il,qp0,cond=',il,qp0(il),cond(il)
+           WRITE(*,*) 'qp_avantevap_cas,qp_cas=', &
                 qp_avantevap_cas(il),qp_cas(il)
-           write(*,*) 'Eqi_prime_cas,Pqisup_cas=', &
+           WRITE(*,*) 'Eqi_prime_cas,Pqisup_cas=', &
                 Eqi_prime_cas,Pqisup_cas
-           write(*,*) 'fac_ftmr_cas=',fac_ftmr_cas(il)
+           WRITE(*,*) 'fac_ftmr_cas=',fac_ftmr_cas(il)
            stop
          endif
-         if (iso_eau.gt.0) then
+         if (iso_eau.gt.0) THEN
              CALL iso_verif_egalite_choix(xtp0(iso_eau,il), &
                 qp0(il),'appel_stewart 1353',errmax,errmaxrel)
@@ -7712,9 +7636,9 @@
 
         do il=1,ncas
-          if (cond(il).gt.ridicule*1e-2) then              
+          if (cond(il).gt.ridicule*1e-2) THEN
             do ixt=1,niso
               Rcond(ixt,il)=(xtice(ixt,il)+xtliq(ixt,il))/cond(il)
             enddo !do ixt=1,niso
-          else if ((cond(il).gt.0.0).and.(qp0(il).gt.ridicule)) then  
+          else if ((cond(il).gt.0.0).and.(qp0(il).gt.ridicule)) THEN
             do ixt=1,niso
               CALL fractcalk(ixt,T_cas(il),zxtalphal,zxtalphai)
@@ -7722,5 +7646,5 @@
                    (fice(il)*zxtalphai+(1.0-fice(il))*zxtalphal)
             enddo !do ixt=1,niso   
-          else !if (cond(il).gt.ridicule*1e-2) then   
+          else !if (cond(il).gt.ridicule*1e-2) THEN
             do ixt=1,niso
               Rcond(ixt,il)=Rdefault(ixt)
@@ -7731,23 +7655,23 @@
 
 #ifdef ISOVERIF 
-        if (iso_eau.gt.0) then
+        if (iso_eau.gt.0) THEN
          do il=1,ncas
-!           write(*,*) 'tmp il,cond(il)=',il ,cond(il)
-          if (cond(il).gt.errmax/50) then                   
+!           WRITE(*,*) 'tmp il,cond(il)=',il ,cond(il)
+          if (cond(il).gt.errmax/50) THEN
               CALL iso_verif_egalite_choix( &
                (Rcond(iso_eau,il)),1.0, &
                'appel_stewart 257',errmax,errmaxrel*50)
-          endif !if (cond.gt.errmax/50) then
+          endif !if (cond.gt.errmax/50) THEN
          enddo
-        endif !if (iso_eau.gt.0) then
+        endif !if (iso_eau.gt.0) THEN
 #endif
         do il=1,ncas
           ! le 30 avril 2012: on remplace 0 par ridicule*1e-2
           ! le 2 juillet 2012: on remplace ridicule*1e-2 par ridicule*1e-4
-          if (Pqisup_cas(il).gt.ridicule*1e-4) then
+          if (Pqisup_cas(il).gt.ridicule*1e-4) THEN
              do ixt=1,niso
                Risup(ixt,il)=Pxtisup_cas(ixt,il)/Pqisup_cas(il)
              enddo !do ixt=1,niso
-          else !if (Pqisup.gt.0.0) then
+          else !if (Pqisup.gt.0.0) THEN
               ! il n'y avait pas d'eau au dessus
               ! on vérifie que toute l'eau en i provient de la rosée: on
@@ -7765,9 +7689,9 @@
                Risup(ixt,il)=Rdefault(ixt)
              enddo !do ixt=1,niso
-          endif  !if (Pqisup.gt.0.0) then 
+          endif  !if (Pqisup.gt.0.0) THEN
          enddo  !do il=1,ncas_condensation_facftmr
 #ifdef ISOVERIF
          do il=1,ncas
-!          write(*,*) 'tmp 1487: il,cond,Eqi,fac_ftmr_cas=',
+!          WRITE(*,*) 'tmp 1487: il,cond,Eqi,fac_ftmr_cas=',
 !     :          il,cond(il),Eqi_prime_cas(il),fac_ftmr_cas(il)
 
@@ -7776,17 +7700,17 @@
                'appel_stewart 1482, cas 1.1, Rcond').eq.1).or. &
                (iso_verif_noNaN_nostop((Risup(ixt,il)), &
-               'appel_stewart 1484, cas 1.1, Risup').eq.1)) then
-               write(*,*) 'ixt,il=',ixt,il
-               write(*,*) 'Pxtisup_cas(ixt,il)=',Pxtisup_cas(ixt,il)
-               write(*,*) 'Pqisup_cas(il)=',Pqisup_cas(il)
-               write(*,*) 'Eqi_prime_cas(il)=',Eqi_prime_cas(il)
-               write(*,*) 'fac_ftmr_cas(il)=',fac_ftmr_cas(il)
-               write(*,*) 'T_cas(il)=',T_cas(il)
-               write(*,*) 'fcond(il)=',fcond(il)
-               write(*,*) 'cond(il)=',cond(il)
-               write(*,*) 'qp_avantevap_cas(il)=',qp_avantevap_cas(il)
-               write(*,*) 'fice(il)=',fice(il)
-               write(*,*) 'xtice(ixt,il)=',xtice(ixt,il)
-               write(*,*) 'xtliq(ixt,il)=',xtliq(ixt,il)
+               'appel_stewart 1484, cas 1.1, Risup').eq.1)) THEN
+               WRITE(*,*) 'ixt,il=',ixt,il
+               WRITE(*,*) 'Pxtisup_cas(ixt,il)=',Pxtisup_cas(ixt,il)
+               WRITE(*,*) 'Pqisup_cas(il)=',Pqisup_cas(il)
+               WRITE(*,*) 'Eqi_prime_cas(il)=',Eqi_prime_cas(il)
+               WRITE(*,*) 'fac_ftmr_cas(il)=',fac_ftmr_cas(il)
+               WRITE(*,*) 'T_cas(il)=',T_cas(il)
+               WRITE(*,*) 'fcond(il)=',fcond(il)
+               WRITE(*,*) 'cond(il)=',cond(il)
+               WRITE(*,*) 'qp_avantevap_cas(il)=',qp_avantevap_cas(il)
+               WRITE(*,*) 'fice(il)=',fice(il)
+               WRITE(*,*) 'xtice(ixt,il)=',xtice(ixt,il)
+               WRITE(*,*) 'xtliq(ixt,il)=',xtliq(ixt,il)
                stop
             endif
@@ -7800,10 +7724,10 @@
          do il=1,ncas
 !#ifdef ISOVERIF   
-!          if (iso_eau.gt.0) then      
-!             write(*,*) 'appel_stewart 1489: il,fac_ftmr_cas(il)=',
+!          if (iso_eau.gt.0) THEN
+!             WRITE(*,*) 'appel_stewart 1489: il,fac_ftmr_cas(il)=',
 !     :           il,fac_ftmr_cas(il)
-!             write(*,*) 'xtp_avantevap_cas(iso_eau,il)=',
+!             WRITE(*,*) 'xtp_avantevap_cas(iso_eau,il)=',
 !     :           xtp_avantevap_cas(iso_eau,il)
-!             write(*,*) 'Eqi_prime_cas(il),Rcond(iso_eau,il)=',
+!             WRITE(*,*) 'Eqi_prime_cas(il),Rcond(iso_eau,il)=',
 !     :           Eqi_prime_cas(il),Rcond(iso_eau,il)
 !          endif
@@ -7823,12 +7747,12 @@
           enddo !do il=1,ncas_condensation_facftmr
 !          il=1
-!          write(*,*) 'appel_stewart 1745: il=',il 
-!          write(*,*) 'xtp_cas(iso_eau,il)=',xtp_cas(iso_eau,il)
-!          write(*,*) 'xtp_avantevap_cas(iso_eau,il)=',
+!          WRITE(*,*) 'appel_stewart 1745: il=',il
+!          WRITE(*,*) 'xtp_cas(iso_eau,il)=',xtp_cas(iso_eau,il)
+!          WRITE(*,*) 'xtp_avantevap_cas(iso_eau,il)=',
 !     :        xtp_avantevap_cas(iso_eau,il)
-!          write(*,*) 'qp_cas(il)=',qp_cas(il)
-!          write(*,*) 'fac_ftmr_cas(il)=',fac_ftmr_cas(il)
-!          write(*,*) 'Exi_prime(iso_eau,il)=',Exi_prime(iso_eau,il)
-!          write(*,*) 'oktrac=',oktrac
+!          WRITE(*,*) 'qp_cas(il)=',qp_cas(il)
+!          WRITE(*,*) 'fac_ftmr_cas(il)=',fac_ftmr_cas(il)
+!          WRITE(*,*) 'Exi_prime(iso_eau,il)=',Exi_prime(iso_eau,il)
+!          WRITE(*,*) 'oktrac=',oktrac
 
 #ifdef ISOVERIF
@@ -7836,16 +7760,16 @@
              do ixt=1,niso
               if (iso_verif_noNaN_nostop(xtwater_cas(ixt,il), &
-                'appel_stewart 1487').eq.1) then
-                write(*,*) 'ixt,il=',ixt,il
-                write(*,*) 'water_cas(il)=',water_cas(il)
-                write(*,*) 'Rcond(ixt,il)=',Rcond(ixt,il)
-                write(*,*) 'fcond(il)=',fcond(il)
-                write(*,*) 'Risup(ixt,il)=',Risup(ixt,il)
-                write(*,*) 'Eqi_prime_cas(il)=',Eqi_prime_cas(il)
-                write(*,*) 'Eqi_prime_cas(il)=',Eqi_prime_cas(il)
-                write(*,*) 'T_cas(il)=',T_cas(il)
-                write(*,*) 'cond(il)=',cond(il)
-                write(*,*) 'Pqisup_cas(il)=',Pqisup_cas(il)
-                write(*,*) 'qp_avantevap_cas(il)=',qp_avantevap_cas(il)
+                'appel_stewart 1487').eq.1) THEN
+                WRITE(*,*) 'ixt,il=',ixt,il
+                WRITE(*,*) 'water_cas(il)=',water_cas(il)
+                WRITE(*,*) 'Rcond(ixt,il)=',Rcond(ixt,il)
+                WRITE(*,*) 'fcond(il)=',fcond(il)
+                WRITE(*,*) 'Risup(ixt,il)=',Risup(ixt,il)
+                WRITE(*,*) 'Eqi_prime_cas(il)=',Eqi_prime_cas(il)
+                WRITE(*,*) 'Eqi_prime_cas(il)=',Eqi_prime_cas(il)
+                WRITE(*,*) 'T_cas(il)=',T_cas(il)
+                WRITE(*,*) 'cond(il)=',cond(il)
+                WRITE(*,*) 'Pqisup_cas(il)=',Pqisup_cas(il)
+                WRITE(*,*) 'qp_avantevap_cas(il)=',qp_avantevap_cas(il)
                 stop
               endif
@@ -7854,5 +7778,5 @@
 #endif
 #ifdef ISOVERIF
-          if (iso_eau.gt.0) then
+          if (iso_eau.gt.0) THEN
             do il=1,ncas
               CALL iso_verif_egalite_choix(xtwater_cas(iso_eau,il), &
@@ -7860,17 +7784,17 @@
                 errmax,errmaxrel)
               if ((xtwater_cas(iso_eau,il).eq.0.0).and. &
-                (water_cas(il).gt.ridicule)) then
-               write(*,*) 'appel_stewart 1535, cas 1.1, il=',il
-               write(*,*) 'xtwater(iso_eau,il,i)=', &
+                (water_cas(il).gt.ridicule)) THEN
+               WRITE(*,*) 'appel_stewart 1535, cas 1.1, il=',il
+               WRITE(*,*) 'xtwater(iso_eau,il,i)=', &
                         xtwater_cas(iso_eau,il)
-               write(*,*) 'water(il,i)=',water_cas(il)
-               write(*,*) 'Rcond(iso_eau,il)=',Rcond(iso_eau,il)
-               write(*,*) 'Risup(iso_eau,il)=',Risup(iso_eau,il)
-               write(*,*) 'fcond(il)=',fcond(il)
-               write(*,*) 'Eqi_prime_cas(il)=',Eqi_prime_cas(il)
-               write(*,*) 'fac_ftmr_cas(il)=',fac_ftmr_cas(il)
+               WRITE(*,*) 'water(il,i)=',water_cas(il)
+               WRITE(*,*) 'Rcond(iso_eau,il)=',Rcond(iso_eau,il)
+               WRITE(*,*) 'Risup(iso_eau,il)=',Risup(iso_eau,il)
+               WRITE(*,*) 'fcond(il)=',fcond(il)
+               WRITE(*,*) 'Eqi_prime_cas(il)=',Eqi_prime_cas(il)
+               WRITE(*,*) 'fac_ftmr_cas(il)=',fac_ftmr_cas(il)
                stop
               endif
-              if (oktrac.eq.0) then
+              if (oktrac.eq.0) THEN
              CALL iso_verif_egalite_choix(xtp_cas(iso_eau,il), &
                 qp_cas(il), &
@@ -7880,32 +7804,32 @@
                 evap_cas(il), &
                 'appel_stewart 275, cas 1.1', &
-                errmax,errmaxrel).eq.1) then
-!                write(*,*) 'il,cas_condensation_facftmr(il)=',
+                errmax,errmaxrel).eq.1) THEN
+!                WRITE(*,*) 'il,cas_condensation_facftmr(il)=',
 !     &                  il,cas_condensation_facftmr(il)
-                write(*,*) 'xtevapsup_cas(iso_eau,il)=', &
+                WRITE(*,*) 'xtevapsup_cas(iso_eau,il)=', &
                         xtevapsup_cas(iso_eau,il)
-!                write(*,*) 'evap(cas_condensation_facftmr(il),i+1)=',
+!                WRITE(*,*) 'evap(cas_condensation_facftmr(il),i+1)=',
 !     &                 evap(cas_condensation_facftmr(il),i+1)
-                write(*,*) 'Eqi_prime_cas(il)=',Eqi_prime_cas(il)
-                write(*,*) 'Exi_prime(iso_eau,il)=', &
+                WRITE(*,*) 'Eqi_prime_cas(il)=',Eqi_prime_cas(il)
+                WRITE(*,*) 'Exi_prime(iso_eau,il)=', &
                         Exi_prime(iso_eau,il)
                 stop
               endif !if (iso_verif_egalite_choix_nostop(xtevap_cas(iso_eau,il),
-              endif ! if (oktrac.eq.0) then
+              endif ! if (oktrac.eq.0) THEN
              enddo !do il=1,ncas_condensation_facftmr  
-            endif ! if (iso_eau.gt.0) then  
-            if (oktrac.eq.0) then
-            if (iso_HDO.gt.0) then
+            endif ! if (iso_eau.gt.0) THEN
+            if (oktrac.eq.0) THEN
+            if (iso_HDO.gt.0) THEN
              do il=1,ncas 
-              if (qp_cas(il).gt.ridicule) then
+              if (qp_cas(il).gt.ridicule) THEN
                 CALL iso_verif_aberrant(xtp_cas(iso_HDO,il)/ &
                 qp_cas(il), 'appel_stewart 613')
-              endif !if (qp(cas_condensation_facftmr(il),i).gt.ridicule) then
+              endif !if (qp(cas_condensation_facftmr(il),i).gt.ridicule) THEN
              enddo !do il=1,ncas
-            endif  ! if (iso_HDO.gt.0) then 
-           else !if (oktrac.eq.0) then
-             if ((iso_HDO.gt.0).and.(iso_eau.gt.0)) then
+            endif  ! if (iso_HDO.gt.0) THEN
+           else !if (oktrac.eq.0) THEN
+             if ((iso_HDO.gt.0).and.(iso_eau.gt.0)) THEN
               do il=1,ncas
-               if (xtp_cas(iso_eau,il).gt.ridicule) then
+               if (xtp_cas(iso_eau,il).gt.ridicule) THEN
                 CALL iso_verif_aberrant(xtp_cas(iso_HDO,il)/ &
                 xtp_cas(iso_eau,il), &
@@ -7913,6 +7837,6 @@
                 endif !if (qp(cas_condensation_nofacftmr(il),i)
                enddo ! do il=1,ncas
-              endif  ! if (iso_HDO.gt.0) then
-           endif  !if (oktrac.eq.0) then
+              endif  ! if (iso_HDO.gt.0) THEN
+           endif  !if (oktrac.eq.0) THEN
 #endif   
 
@@ -7967,5 +7891,5 @@
         CALL fractcalk_vectall(T_cas,zxtalphal,zxtalphai,ncas)
         do il=1,ncas
-          if (Pqisup_cas(il)-Eqi_prime_cas(il).gt.0.0) then
+          if (Pqisup_cas(il)-Eqi_prime_cas(il).gt.0.0) THEN
             fcond(il)=-Eqi_prime_cas(il) &
                 /(Pqisup_cas(il)-Eqi_prime_cas(il))
@@ -7973,10 +7897,10 @@
               fcond(il)=1.0
           endif
-          if (qp_avantevap_cas(il).gt.0) then
+          if (qp_avantevap_cas(il).gt.0) THEN
              do ixt=1,niso  
                Renv(ixt,il)=xtp_avantevap_cas(ixt,il) &
                 /qp_avantevap_cas(il)
              enddo !do ixt=1,niso  
-          else if (q_cas(il).gt.0.0) then !if (qp_avantevap_cas(il).gt.0) then
+          else if (q_cas(il).gt.0.0) then !if (qp_avantevap_cas(il).gt.0) THEN
              do ixt=1,niso  
                Renv(ixt,il)=xt_cas(ixt,il)/q_cas(il)
@@ -7992,23 +7916,23 @@
                Renv(ixt,il)=Rdefault(ixt)
              enddo !do ixt=1,niso 
-           endif !if (qp_avantevap_cas(il).gt.0) then
+           endif !if (qp_avantevap_cas(il).gt.0) THEN
          enddo !do il=1,ncas
          do il=1,ncas
-           if (T_cas(il).ge.ztglace_Kelvin) then
+           if (T_cas(il).ge.ztglace_Kelvin) THEN
              do ixt=1,niso
               Rcond(ixt,il)=zxtalphal(ixt,il)*Renv(ixt,il)
              enddo ! do ixt=1,niso
-           else !if (T(il).ge.ztglace_Kelvin) then
+           else !if (T(il).ge.ztglace_Kelvin) THEN
                do ixt=1,niso
                 Rcond(ixt,il)=zxtalphai(ixt,il)*Renv(ixt,il)
                enddo ! do ixt=1,niso               
-           endif !if (T(il).ge.ztglace_Kelvin) then 
+           endif !if (T(il).ge.ztglace_Kelvin) THEN
          enddo !do il=1,ncas
         do il=1,ncas
-          if (Pqisup_cas(il).gt.0.0) then
+          if (Pqisup_cas(il).gt.0.0) THEN
              do ixt=1,niso
                Risup(ixt,il)=Pxtisup_cas(ixt,il)/Pqisup_cas(il)
              enddo !do ixt=1,niso
-          else !if (Pqisup.gt.0.0) then
+          else !if (Pqisup.gt.0.0) THEN
 #ifdef ISOVERIF
               CALL iso_verif_egalite_choix(fcond(il),1.0, &
@@ -8018,8 +7942,8 @@
                Risup(ixt,il)=Rdefault(ixt)
              enddo !do ixt=1,niso
-          endif  !if (Pqisup.gt.0.0) then 
+          endif  !if (Pqisup.gt.0.0) THEN
          enddo !do il=1,ncas
 #ifdef ISOVERIF
-        if (iso_eau.gt.0) then
+        if (iso_eau.gt.0) THEN
           do il=1,ncas
              CALL iso_verif_egalite_choix( &
@@ -8032,5 +7956,5 @@
                 errmax,errmaxrel)
           enddo !do il=1,ncas
-        endif !if (iso_eau.gt.0) then
+        endif !if (iso_eau.gt.0) THEN
         do il=1,ncas
           CALL iso_verif_noNAN((Eqi_prime_cas(il)), &
@@ -8063,10 +7987,10 @@
                         'appel stewart 265.12: cas 1.2')
               if (iso_verif_noNAN_nostop(xtevap_cas(ixt,il), &
-                'appel_stewart 286.12: cas 1.2, xtevap').eq.1) then
-                write(*,*) 'ixt,il=',ixt,il
-                write(*,*) 'Exi_prime(ixt,il)=',Exi_prime(ixt,il)
-                write(*,*) 'delP_cas(il)=',delP_cas(il)
-                write(*,*) 'sigd_cas(il)=',sigd_cas(il)
-                write(*,*) 'xtevapsup_cas(ixt,il)=',xtevapsup_cas(ixt,il)
+                'appel_stewart 286.12: cas 1.2, xtevap').eq.1) THEN
+                WRITE(*,*) 'ixt,il=',ixt,il
+                WRITE(*,*) 'Exi_prime(ixt,il)=',Exi_prime(ixt,il)
+                WRITE(*,*) 'delP_cas(il)=',delP_cas(il)
+                WRITE(*,*) 'sigd_cas(il)=',sigd_cas(il)
+                WRITE(*,*) 'xtevapsup_cas(ixt,il)=',xtevapsup_cas(ixt,il)
                 CALL abort_physic('isotopes_routines_mod', 'appel_stewart 286.12: cas 1.2, xtevap', 1)
               endif !if (iso_verif_noNAN_nostop(xtevap_cas(ixt,il)
@@ -8075,5 +7999,5 @@
             enddo !do ixt=1,niso   
           enddo !do il=1,ncas    
-          if (iso_eau.gt.0) then
+          if (iso_eau.gt.0) THEN
             do il=1,ncas 
               CALL iso_verif_egalite_choix(xtwater_cas(iso_eau,il), &
@@ -8082,12 +8006,12 @@
                 errmax,errmaxrel)
               if ((xtwater_cas(iso_eau,il).eq.0).and. &
-                (water_cas(il).gt.ridicule)) then
-               write(*,*) 'appel_stewart 263.12, cas 1.2'
-               write(*,*) 'xtwater(iso_eau,il,i)=', &
+                (water_cas(il).gt.ridicule)) THEN
+               WRITE(*,*) 'appel_stewart 263.12, cas 1.2'
+               WRITE(*,*) 'xtwater(iso_eau,il,i)=', &
                 xtwater_cas(iso_eau,il)
-               write(*,*) 'water_cas(il)=',water_cas(il)
+               WRITE(*,*) 'water_cas(il)=',water_cas(il)
                stop
               endif
-              if (oktrac.eq.0) then
+              if (oktrac.eq.0) THEN
               CALL iso_verif_egalite_choix(xtp_cas(iso_eau,il), &
                 qp_cas(il) &
@@ -8096,11 +8020,11 @@
                 evap_cas(il),'appel_stewart 275.12, cas 1.2', &
                 errmax,errmaxrel)
-              endif !if (oktrac.eq.0) then              
+              endif !if (oktrac.eq.0) THEN
              enddo !do il=1,ncas
-            endif ! if (iso_eau.gt.0) then 
-            if (oktrac.eq.0) then
-            if (iso_HDO.gt.0) then                
+            endif ! if (iso_eau.gt.0) THEN
+            if (oktrac.eq.0) THEN
+            if (iso_HDO.gt.0) THEN
              do il=1,ncas
-              if (qp_cas(il).gt.ridicule) then
+              if (qp_cas(il).gt.ridicule) THEN
                 CALL iso_verif_aberrant(xtp_cas(iso_HDO,il)/ &
                 qp_cas(il), &
@@ -8108,9 +8032,9 @@
                endif !if (qp(cas_condensation_nofacftmr(il),i)
               enddo ! do il=1,ncas
-            endif  ! if (iso_HDO.gt.0) then
-           else !if (oktrac.eq.0) then
-             if ((iso_HDO.gt.0).and.(iso_eau.gt.0)) then
+            endif  ! if (iso_HDO.gt.0) THEN
+           else !if (oktrac.eq.0) THEN
+             if ((iso_HDO.gt.0).and.(iso_eau.gt.0)) THEN
               do il=1,ncas
-               if (xtp_cas(iso_eau,il).gt.ridicule) then
+               if (xtp_cas(iso_eau,il).gt.ridicule) THEN
                 CALL iso_verif_aberrant(xtp_cas(iso_HDO,il)/ &
                 xtp_cas(iso_eau,il), &
@@ -8118,6 +8042,6 @@
                 endif !if (qp(cas_condensation_nofacftmr(il),i)
                enddo ! do il=1,ncas
-              endif  ! if (iso_HDO.gt.0) then
-           endif !if (oktrac.eq.0) then
+              endif  ! if (iso_HDO.gt.0) THEN
+           endif !if (oktrac.eq.0) THEN
 #endif
 
@@ -8159,7 +8083,7 @@
         !real 
 
-!        write(*,*) 'appel_stewart tmp 1530: Pxtisup_cas(iso_eau,2)=',
+!        WRITE(*,*) 'appel_stewart tmp 1530: Pxtisup_cas(iso_eau,2)=',
 !     :           Pxtisup_cas(iso_eau,2)
-!        write(*,*) 'Pqisup_cas(2)=',Pqisup_cas(2)
+!        WRITE(*,*) 'Pqisup_cas(2)=',Pqisup_cas(2)
         do il=1,ncas
          do ixt=1,niso
